<template>
  <v-container 
    grid-list-md 
    fluid>
    <v-layout 
      row 
      wrap
    >
      <template v-for="(item, index) in items">
        <v-flex 
          :key="index" 
          xs12 
          sm6 
          md4 
          lg3 
          xl2>
          <v-card hover>
            <v-toolbar 
              card 
              dense 
              flat 
              color="white"
            >
              <v-icon>{{ itemIcon(item) }}</v-icon>
              <v-toolbar-title class="body-2">
                {{ itemName(item) }}
              </v-toolbar-title>
              <v-spacer/>
              <v-btn icon>
                <v-icon>more_vert</v-icon>
              </v-btn>
            </v-toolbar>

            <!-- <v-card-text> -->
            <!-- <v-chip color="primary" text-color="white">{{ item.name }}</v-chip> -->
            <!-- Description -->
            <!-- </v-card-text> -->



            <!-- <v-card-actions></v-card-actions> -->
          </v-card>
        </v-flex>
      </template>
    </v-layout>
  </v-container>
</template>

<script>

import {bus} from '@js/bus'

export default {
	
	props:{
		// section:custom_props
		items: {
			type: Array,
			default: () => {
				return []
			}
		},
		storage: {
			type: String,
			default: 'local'
		},
		readonly: {
			type: Boolean,
			default: false
		}
		// endsection:custom_props
	},

	data() {
		return {}
	},

	computed: {

	},

	methods: {
		itemIcon(item) {
			if(item.is_directory == '1')
				return 'folder'
			return 'description'
		},

		itemLink(item) {
			if(item.is_directory == '1') {
				return 'files/' + item.id
			} else {
				return 'files/' + item.id + '/view'
			}
		},

		itemName(item) {
			return item.name + item.ext
		}
	}

}

</script>

<style type="text/css">
	
</style>